import React, { useState, useEffect } from "react";
import ReactDOM from "react-dom";
import { csv } from "d3";
const csvUrl ="https://gist.githubusercontent.com/areepatw96/e60540f8f056371bd7acea6fa6150eb2/raw/650bdd5bf6d8d4296dfd08881f5c047daab40d27/irisdata.csv?fbclid=IwAR2XX5gldPcZLcOFkXMVVCqpq3Xn_FVGBgocPjUJ0hFH6gded1_46iQtCwU";
fetchText(csvUrl).then(text => {
  const data = d3.csvParse(text);
  console.log(Math.round(text.length/1024)+ 'kb');
  console.log(data.length + 'rows');
  console.log(data.columns.length + 'columns');
});
export const useData = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
    const row = (d) => {
      d.sepal_length = +d.sepal_length;
      d.sepal_width = +d.sepal_width;
      d.petal_length = +d.petal_length;
      d.petal_width = +d.petal_width;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  return data;
};
